org.springframework.cloud.dataflow.rest.resource

## Class AppInstanceStatusResource

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel<AppInstanceStatusResource>
  - - org.springframework.cloud.dataflow.rest.resource.AppInstanceStatusResource

-     public class AppInstanceStatusResource
      extends org.springframework.hateoas.RepresentationModel<AppInstanceStatusResource>

  REST representation for an AppInstanceStatus.
  Author:
    Eric Bottard, Mark Fisher

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppInstanceStatusResource(String instanceId, String state, Map<String,String> attributes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAttributes()`
    `String` | `getGuid()`
    `String` | `getInstanceId()`
    `String` | `getState()`
    `void` | `setAttributes(Map<String,String> attributes)`
    `void` | `setInstanceId(String instanceId)`
    `void` | `setState(String state)`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AppInstanceStatusResource

          public AppInstanceStatusResource(String instanceId,
                                           String state,
                                           Map<String,String> attributes)

  - ### Method Detail

    - #### getInstanceId

          public String getInstanceId()

    - #### setInstanceId

          public void setInstanceId(String instanceId)

    - #### getState

          public String getState()

    - #### setState

          public void setState(String state)

    - #### getGuid

          public String getGuid()

    - #### getAttributes

          public Map<String,String> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,String> attributes)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.